import { BaseXform } from "@excel/xlsx/xform/base-xform";
interface AnchorModel {
    left: number;
    top: number;
    right: number;
    bottom: number;
}
interface RefAddress {
    col: number;
    row: number;
}
interface RenderModel {
    anchor?: AnchorModel;
    refAddress?: RefAddress;
}
declare class VmlAnchorXform extends BaseXform {
    private text;
    constructor();
    get tag(): string;
    getAnchorRect(anchor: AnchorModel): number[];
    getDefaultRect(ref: RefAddress): number[];
    render(xmlStream: any, model: RenderModel): void;
    parseOpen(node: any): boolean;
    parseText(text: string): void;
    parseClose(): boolean;
}
export { VmlAnchorXform };
